# -*- encoding: utf-8 -*-
# stub: azure-core 0.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "azure-core"
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Microsoft Corporation", "AppFog"]
  s.date = "2016-04-18"
  s.description = "Microsoft Azure Client Core Library for Ruby SDK"
  s.email = "azureruby@microsoft.com"
  s.files = [".gitignore", ".travis.yml", "ChangeLog.md", "Gemfile", "README.md", "Rakefile", "azure-core.gemspec", "lib/azure/core.rb", "lib/azure/core/auth/authorizer.rb", "lib/azure/core/auth/shared_key.rb", "lib/azure/core/auth/shared_key_lite.rb", "lib/azure/core/auth/signer.rb", "lib/azure/core/default.rb", "lib/azure/core/error.rb", "lib/azure/core/filtered_service.rb", "lib/azure/core/http/debug_filter.rb", "lib/azure/core/http/http_error.rb", "lib/azure/core/http/http_filter.rb", "lib/azure/core/http/http_request.rb", "lib/azure/core/http/http_response.rb", "lib/azure/core/http/retry_policy.rb", "lib/azure/core/http/signer_filter.rb", "lib/azure/core/service.rb", "lib/azure/core/signed_service.rb", "lib/azure/core/utility.rb", "lib/azure/core/version.rb", "lib/azure/http_response_helper.rb", "test/fixtures/http_error.xml", "test/support/fixtures.rb", "test/test_helper.rb"]
  s.homepage = "http://github.com/Azure/azure-ruby-asm-core"
  s.licenses = ["Apache License, Version 2.0"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = "2.4.5"
  s.summary = "Core library to be consumed by Ruby SDK gems"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<faraday>, ["~> 0.9"])
      s.add_runtime_dependency(%q<faraday_middleware>, ["~> 0.10"])
      s.add_runtime_dependency(%q<nokogiri>, ["~> 1.6"])
      s.add_development_dependency(%q<dotenv>, ["~> 2.0"])
      s.add_development_dependency(%q<minitest>, ["~> 5"])
      s.add_development_dependency(%q<minitest-reporters>, ["~> 1"])
      s.add_development_dependency(%q<mocha>, ["~> 1.0"])
      s.add_development_dependency(%q<rake>, ["~> 10.0"])
      s.add_development_dependency(%q<timecop>, ["~> 0.7"])
      s.add_development_dependency(%q<bundler>, ["~> 1.11"])
    else
      s.add_dependency(%q<faraday>, ["~> 0.9"])
      s.add_dependency(%q<faraday_middleware>, ["~> 0.10"])
      s.add_dependency(%q<nokogiri>, ["~> 1.6"])
      s.add_dependency(%q<dotenv>, ["~> 2.0"])
      s.add_dependency(%q<minitest>, ["~> 5"])
      s.add_dependency(%q<minitest-reporters>, ["~> 1"])
      s.add_dependency(%q<mocha>, ["~> 1.0"])
      s.add_dependency(%q<rake>, ["~> 10.0"])
      s.add_dependency(%q<timecop>, ["~> 0.7"])
      s.add_dependency(%q<bundler>, ["~> 1.11"])
    end
  else
    s.add_dependency(%q<faraday>, ["~> 0.9"])
    s.add_dependency(%q<faraday_middleware>, ["~> 0.10"])
    s.add_dependency(%q<nokogiri>, ["~> 1.6"])
    s.add_dependency(%q<dotenv>, ["~> 2.0"])
    s.add_dependency(%q<minitest>, ["~> 5"])
    s.add_dependency(%q<minitest-reporters>, ["~> 1"])
    s.add_dependency(%q<mocha>, ["~> 1.0"])
    s.add_dependency(%q<rake>, ["~> 10.0"])
    s.add_dependency(%q<timecop>, ["~> 0.7"])
    s.add_dependency(%q<bundler>, ["~> 1.11"])
  end
end

